### Method

# Ide BuildManager build_async

#### Declaration

    void
    ide_build_manager_build_async (
      IdeBuildManager* self,
      IdePipelinePhase phase,
      GPtrArray* targets,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function will request that `phase` is completed in the underlying build pipeline and execute a build. Upon completion, `callback` will be executed and it can determine the success or failure of the operation using ide_build_manager_build_finish().

Available since: | 3.32

#### Parameters

`phase` | `IdePipelinePhase`
| An `IdePipelinePhase` or 0
`targets` | An array of `None`
| An array of `IdeBuildTarget` to build.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.